NetBSD Problem Report #50263

From bjjl@rpi.localdomain  Sun Sep 20 09:16:18 2015
Return-Path: <bjjl@rpi.localdomain>
Received: from mail.netbsd.org (mail.netbsd.org [149.20.53.66])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.netbsd.org", Issuer "Postmaster NetBSD.org" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 671FBA6562
	for <gnats-bugs@gnats.NetBSD.org>; Sun, 20 Sep 2015 09:16:18 +0000 (UTC)
Message-Id: <20150920081002.21BE66BCE9@rpi.localdomain>
Date: Sun, 20 Sep 2015 10:10:01 +0200 (CEST)
From: mail@benjaminlorenz.de
Reply-To:
To: gnats-bugs@NetBSD.org
Subject: Compile error of lang/nodejs on rpi 
X-Send-Pr-Version: 3.95

>Number:         50263
>Category:       pkg
>Synopsis:       Compile error of lang/nodejs on rpi
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    fhajny
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Sep 20 09:20:00 +0000 2015
>Last-Modified:  Sat Feb 13 19:25:05 +0000 2016
>Originator:     mail@benjaminlorenz.de
>Release:        NetBSD 7.0_RC3
>Organization:

>Environment:


System: NetBSD rpi 7.0_RC3 NetBSD 7.0_RC3 (RPI.201508182000Z) evbarm
Architecture: earmv6hf
Machine: evbarm
>Description:
g++: error: unrecognized argument in option '-mfpu=vfpv2'
g++: note: valid arguments to '-mfpu=' are: crypto-neon-fp-armv8 fp-armv8 fpv4-sp-d16 neon neon-fp-armv8 neon-fp16 neon-vfpv4 vfp vfp3 vfpv3 vfpv3-d16 vfpv3-d16-fp16 vfpv3-fp16 vfpv3xd vfpv3xd-fp16 vfpv4 vfpv4-d16
deps/v8/tools/gyp/v8_base.target.mk:401: recipe for target '/home/bjjl/pkgsrc/lang/nodejs/work.earmv6hf/node-v4.1.0/out/Release/obj.target/v8_base/deps/v8/src/accessors.o' failed
gmake[1]: *** [/home/bjjl/pkgsrc/lang/nodejs/work.earmv6hf/node-v4.1.0/out/Release/obj.target/v8_base/deps/v8/src/accessors.o] Error 1
gmake[1]: Leaving directory '/home/bjjl/pkgsrc/lang/nodejs/work.earmv6hf/node-v4.1.0/out'
Makefile:45: recipe for target 'node' failed
gmake: *** [node] Error 2
*** Error code 2

>How-To-Repeat:

>Fix:


>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: pkg-manager->filip
Responsible-Changed-By: bsiegert@NetBSD.org
Responsible-Changed-When: Mon, 28 Dec 2015 12:48:16 +0000
Responsible-Changed-Why:
Over to maintainer of lang/nodejs.


From: Filip Hajny <filip@joyent.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/50263 (Compile error of lang/nodejs on rpi)
Date: Tue, 29 Dec 2015 18:28:49 +0100

 > 28. 12. 2015 v 13:48, bsiegert@NetBSD.org:
 >=20
 > Synopsis: Compile error of lang/nodejs on rpi
 >=20
 > Responsible-Changed-From-To: pkg-manager->filip
 > Responsible-Changed-By: bsiegert@NetBSD.org
 > Responsible-Changed-When: Mon, 28 Dec 2015 12:48:16 +0000
 > Responsible-Changed-Why:
 > Over to maintainer of lang/nodejs.

 I=E2=80=99m sorry, I have no way of testing on RPI. Is this still a =
 problem with the current packages? Can you suggest a fix or provide a =
 patch?

 -F=

Responsible-Changed-From-To: filip->fhajny
Responsible-Changed-By: bsiegert@NetBSD.org
Responsible-Changed-When: Sat, 13 Feb 2016 19:25:05 +0000
Responsible-Changed-Why:
Correct user name, oops


>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2014 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.